import java.io.PrintStream;
import java.util.Scanner;

public class OperadoresLogicos {
  public static void main(String[] args) {
    PrintStream saida = System.out;
    Scanner scan = new Scanner(System.in);
    
    saida.print("\nInforme um valor booleano:\t");
    boolean b1 = scan.nextBoolean();
    
    saida.print("Informe outro valor booleano:\t");
    boolean b2 = scan.nextBoolean();
    
    saida.println("\nOperações lógicas:");
    saida.println("b1 || b2:\t" + (b1 || b2));
    saida.println("b1 && b2:\t" + (b1 && b2));
    saida.println("b1 ^ b2:\t" + (b1 ^ b2));
    saida.println("!b1:\t\t" + !b1);
    saida.println("!b2:\t\t" + !b2);
    
    saida.println("\nAtribuições:");
    b1 |= b2;
    saida.println("b1 |= b2:\tb1 recebeu " + b1);
    b1 &= !b2;
    saida.println("b1 &= !b2:\tb1 recebeu " + b1);
    b1 ^= b2;
    saida.println("b1 ^= b2:\tb1 recebeu " + b1);
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/