import java.util.Random;

public class FilaInteiroTeste {
  private static FilaInteiro fila;
  
  public static void main(String[] args) {
    fila = new FilaInteiro(10);
    Random sorteador = new Random();
    
    System.out.print("Números inseridos: ");
    while (fila.tamanho() < 8) {
      int numero = sorteador.nextInt(50);
      fila.incluir( numero );
      System.out.print(numero + " ");
    }
    
    System.out.print("\nNúmeros removidos: ");
    while(fila.tamanho() > 5) 
      System.out.print( fila.excluir() + " ");
    
    System.out.print("\nNúmeros inseridos: ");
    while (!fila.cheia()) {
      int numero = sorteador.nextInt(50);
      fila.incluir( numero );
      System.out.print(numero + " ");
    }
    
    System.out.print("\nNúmeros removidos: ");
    while(!fila.vazia()) 
      System.out.print( fila.excluir() + " ");
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/