public class Nodo <E>{
  private E objeto;
  private Nodo<E> anterior;
  private Nodo<E> proximo;
  
  public Nodo(E objeto) {
    this.objeto = objeto;
  }
  
  public E getObjeto() {
    return objeto;
  }
  
  public Nodo<E> getAnterior() {
    return anterior;
  }
  
  public Nodo<E> getProximo() {
    return proximo;
  }
  
  public void setAnterior(Nodo<E> anterior) {
    this.anterior = anterior;
  }
  
  public void setProximo(Nodo<E> proximo) {
    this.proximo = proximo;
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/