import java.util.Scanner;
import java.util.InputMismatchException;

public class TratamentoInput {
  public static void main(String[] args) {
    byte idade = -1;
    
    while (idade < 0) {
      System.out.print("\nInforme sua idade:\t");
      Scanner scan = new Scanner(System.in);
      
      try {
        idade = scan.nextByte();
      }
      catch (InputMismatchException ime) {
        System.out.println("Idade inválida!");
      }
    }
    
    System.out.println("Sua idade:\t\t" + idade);
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/