import javax.swing.JOptionPane;

public class Estado {
  String nome;
  String sigla;
  
  Estado() {
    nome = "";
    sigla = "";
  }
  
  void exibirDados() {
    String dados = nome + " - " + sigla.toUpperCase();
    JOptionPane.showMessageDialog(null,dados);
  }
  
  String recuperarDados() {
    return nome + " - " + sigla.toUpperCase();
  }
  
  boolean validarNome(String nome) {
    nome = nome.trim();
    if (nome.length() < 2 || nome.length() > 50) return false;
    else return true;
  }
  
  boolean validarSigla(String sigla) {
    if (sigla.length() != 2) return false;
    else return true;
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/