import static javax.swing.JOptionPane.*;
import java.util.Random;

public class SorteioCaractere {
  private static enum TipoCaractere{NUMERO,LETRA_MAIUSCULA,
    LETRA_MINUSCULA,OUTRO};
  
  public static void main(String[] args) {
    int numero = new Random().nextInt(150);
    char caractere = (char)numero;
    
    TipoCaractere tipo;
    if (caractere >= '0' && caractere <= '9') 
      tipo = TipoCaractere.NUMERO;
    else if (caractere >= 65 && caractere <= 90) 
      tipo = TipoCaractere.LETRA_MAIUSCULA;
    else if (caractere >= 97 && caractere <= 122) 
      tipo = TipoCaractere.LETRA_MINUSCULA;
    else tipo = TipoCaractere.OUTRO;
    
    String str = "Caractere sorteado: " + caractere +
      "\nTipo: ";
    switch(tipo) {
      case NUMERO: str += "Número"; break;
      case LETRA_MAIUSCULA: str += "Letra maiúscula"; break;
      case LETRA_MINUSCULA: str += "Letra minúscula"; break;
      case OUTRO: str += "Caractere especial"; break;
    }
    
    showMessageDialog(null, str);
    System.exit(0);
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/