public class PilhaInteiro {
  private long[] dados;
  private int topo;
  
  public PilhaInteiro(int maximo) {
    dados = new long[maximo];
    topo = -1;
  }
  
  public void incluir(long numero) {
    dados[++topo] = numero;
  }
  
  public long excluir () {
    return dados[topo--];
  }
  
  public long consultar() {
    return dados[topo];
  }
  
  public boolean vazia() {
    return (topo == -1);
  }
  
  public boolean cheia() {
    return (topo == dados.length - 1);
  }
}

/********************************************************************
 * Este arquivo é parte integrante do livro identificado abaixo e é *
 * protegido pela legislação que trata dos direitos autorais.       *
 *                                                                  *
 * Título:  Programação de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2014                                                    *
 ********************************************************************/